<?php
/*
please see navigo.php for more information
*/

load_plugin_textdomain('navigo');
?>
<div class="wrap"> 
	<h2><?php _e('Generate code for navigo', 'navigo') ?></h2> 
	
	<form name="form1" method="post" action="<?php echo(get_option('siteurl') . '/wp-admin/admin.php?page=navigo-options.php'); ?>">
		<p><?php _e('This allows you to display custom navigation menus (for applying different styles and highlighting) for pages.', 'navigo') ?></p>
		<fieldset class="options">
			<legend><?php _e('Special Notes', 'navigo') ?></legend>
			<p><?php _e('This settings panel does <strong>NOT</strong> save any settings, it only generates the code which should be pasted on the page content.', 'navigo') ?></p>
		</fieldset>
		<fieldset class="options">
			<legend><?php _e('Settings', 'navigo') ?></legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
				<tr valign="top"> 
					<th width="33%" scope="row"><?php _e('Root page number', 'navigo') ?></th> 
					<td><input type="text" name="child_of" id="child_of" value="<?php echo(isset($_POST['child_of'])?$_POST['child_of']:'0'); ?>" onclick="generate_code();" onkeyup="generate_code();" /></td>
				</tr> 
				<tr valign="top"> 
					<th scope="row"><?php _e('No of child levels to show (from root)', 'navigo') ?></th> 
					<td><input type="text" name="depth" id="depth" value="<?php echo(isset($_POST['depth'])?$_POST['depth']:'0'); ?>" onclick="generate_code();" onkeyup="generate_code();" /></td>
				</tr> 
				<tr valign="top"> 
					<th scope="row"><?php _e('No of top levels to hide (from root)', 'navigo') ?></th> 
					<td><input type="text" name="hidden_depth" id="hidden_depth" value="<?php echo(isset($_POST['hidden_depth'])?$_POST['hidden_depth']:'0'); ?>" onclick="generate_code();" onkeyup="generate_code();" /></td>
				</tr> 
				<tr valign="top"> 
					<th scope="row"><?php _e('Display collapsing tree', 'navigo') ?></th> 
					<td><input type="checkbox" name="collapse" id="collapse" onclick="generate_code();" onkeyup="generate_code();" <?php echo(isset($_POST['collapse'])?'checked="checked"':''); ?> /></td>
				</tr> 
				<tr> 
					<th scope="row"><?php _e('Page order', 'navigo') ?></th> 
					<td>
						<select name="sort_column" id="sort_column" onclick="generate_code();" onkeyup="generate_code();">
							<option value="post_title" <?php echo(isset($_POST['sort_column']) && strcmp($_POST['sort_column'], 'post_title') == 0?'selected="selected"':''); ?> >Alphabetical Order</option>
							<option value="menu_order" <?php echo(isset($_POST['sort_column']) && strcmp($_POST['sort_column'], 'menu_order') == 0?'selected="selected"':''); ?> >Page Order (in Page Options)</option>
						</select>
					</td>
				</tr> 
				<tr><th>&nbsp;</th><td>&nbsp;</td></tr>

				<?php
					$levels = 3;
					
					if(isset($_REQUEST['levels']) && is_numeric($_REQUEST['levels']) && $_REQUEST['levels'] > 0) {
						$levels = $_REQUEST['levels'];
					}
					
					for($i = 1; $i <= $levels; $i++) {
						?>
				
				<tr valign="top"> 
					<th scope="row"><?php _e('Level ' . $i . ' Class/ID:', 'navigo') ?></th> 
					<td><input type="text" name="level<?php echo($i); ?>" id="level<?php echo($i); ?>" value="<?php echo(isset($_POST['level' . $i])?$_POST['level' . $i]:'level' . $i); ?>" onclick="generate_code();" onkeyup="generate_code();" /></td>
				</tr> 
				
						<?php
					}
				?>
				
				<tr>
					<th>&nbsp;</th>
					<td><?php
					
						if($levels != 3) {
							?><a href="<?php echo(get_option('siteurl') . '/wp-admin/admin.php?page=navigo-options.php&amp;levels=' . ($levels - 3)); ?>" title="Less">&laquo; Less</a>&nbsp;<?php
						}
					
					?><a href="<?php echo(get_option('siteurl') . '/wp-admin/admin.php?page=navigo-options.php&amp;levels=' . ($levels + 3)); ?>" title="More">More &raquo;</a></td>
				</tr>

				<tr><th>&nbsp;</th><td>&nbsp;</td></tr>
			</table>
		</fieldset>
		<noscript><p class="submit"><input type="hidden" name="levels" value="<?php echo($levels); ?>" /><input type="submit" name="Submit" value="Generate Code &raquo;" /></p></noscript>
		<fieldset class="options">
			<legend><?php _e('Generated Code', 'navigo') ?></legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
				<tr valign="top"> 
					<th width="33%" scope="row">Generated Code for Pages</th> 
					<td colspan="2"><textarea name="page_code" id="page_code" rows="5" cols="50" readonly="readonly" wrap="hard" onclick="generate_code();" onkeyup="generate_code();" ><?php
						$s = '';
						
						if(isset($_POST['Submit'])) {		
						
							$prefix = '';
							if($_POST['child_of']!= "" && $_POST['child_of']!= 0) {
								$s = $s . $prefix . 'child_of=' . $_POST['child_of'];
								$prefix = ', ';
							}
							if($_POST['depth']!= "" && $_POST['depth']!= 0) {
								$s = $s . $prefix . 'depth=' . $_POST['depth'];
								$prefix = ', ';
							}
							if($_POST['hidden_depth']!= "" && $_POST['hidden_depth']!= 0) {
								$s = $s . $prefix . 'hidden_depth=' . $_POST['hidden_depth'];
								$prefix = ', ';
							}
							if(isset($_POST['collapse'])) {
								$s = $s . $prefix . 'collapse=true';
								$prefix = ', ';
							}
							$s = $s . $prefix . 'sort_column=' . $_REQUEST['sort_column'];
							$prefix = ', ';
							
							for($i = 1; $i <= $_POST['levels']; $i++) {
								if($_POST['level' . $i]!= "" && $_POST['level' . $i]!= "level" . $i) {
									$s = $s . $prefix . 'level' . $i . '=' . $_POST['level' . $i];
									$prefix = ', ';
								}
							}

							echo('&lt;!--navigo:' . $s . '--&gt;');
						}
					?></textarea><br />If inserting to Page/Post Content</td>
				</tr> 
				<tr valign="top"> 
					<th scope="row">Generated Code for Templates</th> 
					<td colspan="2"><textarea name="template_code" id="template_code" rows="5" cols="50" readonly="readonly" onclick="generate_code();" onkeyup="generate_code();" ><?php 
						if(isset($_POST['Submit'])) {	
							echo('&lt;' . '?php navigo(\'' . str_replace(', ', '&amp;', $s) . '\'); ?' . '&gt;');
						}
					?></textarea><br />If inserting to Template files</td>
				</tr> 
			</table>
		</fieldset>
		<fieldset class="options">
			<legend><?php _e('Help', 'navigo') ?></legend>
			<p><?php _e('To insert the navigation list, place the \'Generated Code for Pages\' in to the page content or place the \'Generated Code for Templates\' in to a template file.', 'navigo') ?></p>
			<p><?php _e('If you are new to using this plugin or can\'t understand what all these settings do, please read the documentation at', 'navigo') ?> <a href="http://adahas.com/work/navigo/" title="adahas">http://adahas.com/work/navigo/</a></p>
		</fieldset>
	</form> 
	
</div>

<script type="text/javascript">
	<!--//--><![CDATA[//><!--
	
	function generate_code() {
		var s = '';
		var prefix = '';
		if(document.getElementById('child_of').value != "" && document.getElementById('child_of').value != 0) {
			s = s + prefix + 'child_of=' + document.getElementById('child_of').value;
			prefix = ', ';
		}
		if(document.getElementById('depth').value != "" && document.getElementById('depth').value != 0) {
			s = s + prefix + 'depth=' + document.getElementById('depth').value;
			prefix = ', ';
		}
		if(document.getElementById('hidden_depth').value != "" && document.getElementById('hidden_depth').value != 0) {
			s = s + prefix + 'hidden_depth=' + document.getElementById('hidden_depth').value;
			prefix = ', ';
		}
		if(document.getElementById('collapse').checked == 1) {
			s = s + prefix + 'collapse=true';
			prefix = ', ';
		}

		s = s + prefix + 'sort_column=' + document.getElementById('sort_column').value;
		prefix = ', ';

		<?php
			for($i = 1; $i <= $levels; $i++) {
				?> 
		if(document.getElementById('level<?php echo($i); ?>').value != "" && document.getElementById('level<?php echo($i); ?>').value != "level<?php echo($i); ?>") {
			s = s + prefix + 'level<?php echo($i); ?>=' + document.getElementById('level<?php echo($i); ?>').value;
			prefix = ', ';
		}
				<?php
			}
		?>
		
		document.getElementById('page_code').value = "<!--navigo:" + s + "-->";
		while(s.search(', ') > 0) {
			s = s.replace(', ', '&');
		}
		document.getElementById('template_code').value = "<" + "?php if(function_exists('navigo')) navigo('" + s + "'); ?" + ">";
	}
	generate_code();
	
	//--><!]]>
</script>